---
title: Update an incident impact
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Incidents
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update an incident impact{% #update-an-incident-impact %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                           |
| ----------------- | -------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/impacts/{impact_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/impacts/{impact_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/incidents/{incident_id}/impacts/{impact_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/incidents/{incident_id}/impacts/{impact_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/impacts/{impact_id}  |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/incidents/{incident_id}/impacts/{impact_id} |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/incidents/{incident_id}/impacts/{impact_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/impacts/{impact_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/impacts/{impact_id} |

### Overview

Update an incident impact. This endpoint requires the `incident_write` permission.

OAuth apps require the `incident_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#incidents) to access this endpoint.



### Arguments

#### Path Parameters

| Name                          | Type   | Description                      |
| ----------------------------- | ------ | -------------------------------- |
| incident_id [*required*] | string | The UUID of the incident.        |
| impact_id [*required*]   | string | The UUID of the incident impact. |

#### Query Strings

| Name    | Type  | Description                                                           |
| ------- | ----- | --------------------------------------------------------------------- |
| include | array | Specifies which related resources should be included in the response. |

### Request

#### Body Data (required)

Incident impact patch payload.

{% tab title="Model" %}

| Parent field | Field                  | Type      | Description                                                                    |
| ------------ | ---------------------- | --------- | ------------------------------------------------------------------------------ |
|              | data [*required*] | object    | Incident impact data for a patch request.                                      |
| data         | attributes             | object    | The incident impact's attributes for a patch request. All fields are optional. |
| attributes   | description            | string    | Description of the impact.                                                     |
| attributes   | end_at                 | date-time | Timestamp when the impact ended.                                               |
| attributes   | fields                 | object    | An object mapping impact field names to field values.                          |
| attributes   | start_at               | date-time | Timestamp when the impact started.                                             |
| data         | type [*required*] | enum      | Incident impact resource type. Allowed enum values: `incident_impacts`         |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "description": "Service was unavailable for external users",
      "end_at": "2025-08-29T13:17:00Z",
      "fields": {
        "customers_impacted": "all",
        "products_impacted": [
          "shopping",
          "marketing"
        ]
      },
      "start_at": "2025-08-28T13:17:00Z"
    },
    "type": "incident_impacts"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response with an incident impact.

| Parent field          | Field                         | Type      | Description                                                            |
| --------------------- | ----------------------------- | --------- | ---------------------------------------------------------------------- |
|                       | data [*required*]        | object    | Incident impact data from a response.                                  |
| data                  | attributes                    | object    | The incident impact's attributes.                                      |
| attributes            | created                       | date-time | Timestamp when the impact was created.                                 |
| attributes            | description [*required*] | string    | Description of the impact.                                             |
| attributes            | end_at                        | date-time | Timestamp when the impact ended.                                       |
| attributes            | fields                        | object    | An object mapping impact field names to field values.                  |
| attributes            | impact_type                   | string    | The type of impact.                                                    |
| attributes            | modified                      | date-time | Timestamp when the impact was last modified.                           |
| attributes            | start_at [*required*]    | date-time | Timestamp representing when the impact started.                        |
| data                  | id [*required*]          | string    | The incident impact's ID.                                              |
| data                  | relationships                 | object    | The incident impact's resource relationships.                          |
| relationships         | created_by_user               | object    | Relationship to user.                                                  |
| created_by_user       | data [*required*]        | object    | Relationship to user object.                                           |
| data                  | id [*required*]          | string    | A unique identifier that represents the user.                          |
| data                  | type [*required*]        | enum      | Users resource type. Allowed enum values: `users`                      |
| relationships         | incident                      | object    | Relationship to incident.                                              |
| incident              | data [*required*]        | object    | Relationship to incident object.                                       |
| data                  | id [*required*]          | string    | A unique identifier that represents the incident.                      |
| data                  | type [*required*]        | enum      | Incident resource type. Allowed enum values: `incidents`               |
| relationships         | last_modified_by_user         | object    | Relationship to user.                                                  |
| last_modified_by_user | data [*required*]        | object    | Relationship to user object.                                           |
| data                  | id [*required*]          | string    | A unique identifier that represents the user.                          |
| data                  | type [*required*]        | enum      | Users resource type. Allowed enum values: `users`                      |
| data                  | type [*required*]        | enum      | Incident impact resource type. Allowed enum values: `incident_impacts` |
|                       | included                      | [object]  | Included related resources that the user requested.                    |
| included              | attributes                    | object    | Attributes of user object returned by the API.                         |
| attributes            | email                         | string    | Email of the user.                                                     |
| attributes            | handle                        | string    | Handle of the user.                                                    |
| attributes            | icon                          | string    | URL of the user's icon.                                                |
| attributes            | name                          | string    | Name of the user.                                                      |
| attributes            | uuid                          | string    | UUID of the user.                                                      |
| included              | id                            | string    | ID of the user.                                                        |
| included              | type                          | enum      | Users resource type. Allowed enum values: `users`                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "created": "2025-08-29T13:17:00Z",
      "description": "Service was unavailable for external users",
      "end_at": "2025-08-29T13:17:00Z",
      "fields": {
        "customers_impacted": "all",
        "products_impacted": [
          "shopping",
          "marketing"
        ]
      },
      "impact_type": "customer",
      "modified": "2025-08-29T13:17:00Z",
      "start_at": "2025-08-28T13:17:00Z"
    },
    "id": "00000000-0000-0000-1234-000000000000",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      },
      "incident": {
        "data": {
          "id": "00000000-0000-0000-1234-000000000000",
          "type": "incidents"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      }
    },
    "type": "incident_impacts"
  },
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export incident_id="CHANGE_ME" export impact_id="CHANGE_ME" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/incidents/${incident_id}/impacts/${impact_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "description": "Patched service impact description"
    },
    "type": "incident_impacts"
  }
}
EOF 
                
##### 

```python
"""
Update an incident impact returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.incidents_api import IncidentsApi
from datadog_api_client.v2.model.incident_impact_fields_object import IncidentImpactFieldsObject
from datadog_api_client.v2.model.incident_impact_patch_attributes import IncidentImpactPatchAttributes
from datadog_api_client.v2.model.incident_impact_patch_data import IncidentImpactPatchData
from datadog_api_client.v2.model.incident_impact_patch_request import IncidentImpactPatchRequest
from datadog_api_client.v2.model.incident_impact_type import IncidentImpactType
from datetime import datetime
from dateutil.tz import tzutc

body = IncidentImpactPatchRequest(
    data=IncidentImpactPatchData(
        attributes=IncidentImpactPatchAttributes(
            description="Service was unavailable for external users",
            end_at=datetime(2025, 8, 29, 13, 17, tzinfo=tzutc()),
            fields=IncidentImpactFieldsObject(
                [("customers_impacted", "all"), ("products_impacted", "['shopping', 'marketing']")]
            ),
            start_at=datetime(2025, 8, 28, 13, 17, tzinfo=tzutc()),
        ),
        type=IncidentImpactType.INCIDENT_IMPACTS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["patch_incident_impact"] = True
with ApiClient(configuration) as api_client:
    api_instance = IncidentsApi(api_client)
    response = api_instance.patch_incident_impact(incident_id="incident_id", impact_id="impact_id", body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update an incident impact returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.patch_incident_impact".to_sym] = true
end
api_instance = DatadogAPIClient::V2::IncidentsAPI.new

body = DatadogAPIClient::V2::IncidentImpactPatchRequest.new({
  data: DatadogAPIClient::V2::IncidentImpactPatchData.new({
    attributes: DatadogAPIClient::V2::IncidentImpactPatchAttributes.new({
      description: "Service was unavailable for external users",
      end_at: "2025-08-29T13:17:00Z",
      fields: DatadogAPIClient::V2::IncidentImpactFieldsObject.new({}),
      start_at: "2025-08-28T13:17:00Z",
    }),
    type: DatadogAPIClient::V2::IncidentImpactType::INCIDENT_IMPACTS,
  }),
})
p api_instance.patch_incident_impact("incident_id", "impact_id", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Update an incident impact returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"
	"time"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.IncidentImpactPatchRequest{
		Data: datadogV2.IncidentImpactPatchData{
			Attributes: &datadogV2.IncidentImpactPatchAttributes{
				Description: datadog.PtrString("Service was unavailable for external users"),
				EndAt:       *datadog.NewNullableTime(datadog.PtrTime(time.Date(2025, 8, 29, 13, 17, 0, 0, time.UTC))),
				Fields: map[string]interface{}{
					"customers_impacted": "all",
					"products_impacted":  "['shopping', 'marketing']",
				},
				StartAt: datadog.PtrTime(time.Date(2025, 8, 28, 13, 17, 0, 0, time.UTC)),
			},
			Type: datadogV2.INCIDENTIMPACTTYPE_INCIDENT_IMPACTS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.PatchIncidentImpact", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewIncidentsApi(apiClient)
	resp, r, err := api.PatchIncidentImpact(ctx, "incident_id", "impact_id", body, *datadogV2.NewPatchIncidentImpactOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `IncidentsApi.PatchIncidentImpact`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `IncidentsApi.PatchIncidentImpact`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update an incident impact returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.IncidentsApi;
import com.datadog.api.client.v2.model.IncidentImpactPatchAttributes;
import com.datadog.api.client.v2.model.IncidentImpactPatchData;
import com.datadog.api.client.v2.model.IncidentImpactPatchRequest;
import com.datadog.api.client.v2.model.IncidentImpactResponse;
import com.datadog.api.client.v2.model.IncidentImpactType;
import java.time.OffsetDateTime;
import java.util.Map;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.patchIncidentImpact", true);
    IncidentsApi apiInstance = new IncidentsApi(defaultClient);

    IncidentImpactPatchRequest body =
        new IncidentImpactPatchRequest()
            .data(
                new IncidentImpactPatchData()
                    .attributes(
                        new IncidentImpactPatchAttributes()
                            .description("Service was unavailable for external users")
                            .endAt(OffsetDateTime.parse("2025-08-29T13:17:00Z"))
                            .fields(
                                Map.ofEntries(
                                    Map.entry("customers_impacted", "all"),
                                    Map.entry("products_impacted", "['shopping', 'marketing']")))
                            .startAt(OffsetDateTime.parse("2025-08-28T13:17:00Z")))
                    .type(IncidentImpactType.INCIDENT_IMPACTS));

    try {
      IncidentImpactResponse result =
          apiInstance.patchIncidentImpact("incident_id", "impact_id", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling IncidentsApi#patchIncidentImpact");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Update an incident impact returns "OK" response
use chrono::{DateTime, Utc};
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_incidents::IncidentsAPI;
use datadog_api_client::datadogV2::api_incidents::PatchIncidentImpactOptionalParams;
use datadog_api_client::datadogV2::model::IncidentImpactPatchAttributes;
use datadog_api_client::datadogV2::model::IncidentImpactPatchData;
use datadog_api_client::datadogV2::model::IncidentImpactPatchRequest;
use datadog_api_client::datadogV2::model::IncidentImpactType;
use serde_json::Value;
use std::collections::BTreeMap;

#[tokio::main]
async fn main() {
    let body = IncidentImpactPatchRequest::new(
        IncidentImpactPatchData::new(IncidentImpactType::INCIDENT_IMPACTS).attributes(
            IncidentImpactPatchAttributes::new()
                .description("Service was unavailable for external users".to_string())
                .end_at(Some(
                    DateTime::parse_from_rfc3339("2025-08-29T13:17:00+00:00")
                        .expect("Failed to parse datetime")
                        .with_timezone(&Utc),
                ))
                .fields(BTreeMap::from([(
                    "customers_impacted".to_string(),
                    Value::from("all"),
                )]))
                .start_at(
                    DateTime::parse_from_rfc3339("2025-08-28T13:17:00+00:00")
                        .expect("Failed to parse datetime")
                        .with_timezone(&Utc),
                ),
        ),
    );
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.PatchIncidentImpact", true);
    let api = IncidentsAPI::with_config(configuration);
    let resp = api
        .patch_incident_impact(
            "incident_id".to_string(),
            "impact_id".to_string(),
            body,
            PatchIncidentImpactOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update an incident impact returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.patchIncidentImpact"] = true;
const apiInstance = new v2.IncidentsApi(configuration);

const params: v2.IncidentsApiPatchIncidentImpactRequest = {
  body: {
    data: {
      attributes: {
        description: "Service was unavailable for external users",
        endAt: new Date(2025, 8, 29, 13, 17, 0, 0),
        fields: {
          customers_impacted: "all",
          products_impacted: "['shopping', 'marketing']",
        },
        startAt: new Date(2025, 8, 28, 13, 17, 0, 0),
      },
      type: "incident_impacts",
    },
  },
  incidentId: "incident_id",
  impactId: "impact_id",
};

apiInstance
  .patchIncidentImpact(params)
  .then((data: v2.IncidentImpactResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
